## qpdf 1.0

=== DESCRIPTION ===
Package: qpdf
Type: Package
Title: Split, Combine and Compress PDF Files
Version: 1.0
Authors@R: c(person("Jeroen", "Ooms", role = c("aut", "cre"), 
    email = "jeroen@berkeley.edu", comment = c(ORCID = "0000-0002-4035-0289")),
        person("Jay Berkenbilt", role = "cph", comment = "Author of libqpdf"))
Description: Content-preserving transformations transformations of PDF files such 
    as split, combine, and compress. This package interfaces directly to the 'qpdf' 
    C++ API and does not require any command line utilities. Note that 'qpdf' does
    not read actual content from PDF files: to extract text and data you need the
    'pdftools' package.
License: Apache License 2.0
URL: https://github.com/ropensci/qpdf (devel),
        http://qpdf.sourceforge.net/ (upstream)
BugReports: https://github.com/ropensci/qpdf/issues
Encoding: UTF-8
LazyData: true
Imports: Rcpp, askpass, curl
LinkingTo: Rcpp
RoxygenNote: 6.1.1
Suggests: testthat
NeedsCompilation: yes
Packaged: 2019-02-27 21:01:12 UTC; jeroen
Author: Jeroen Ooms [aut, cre] (<https://orcid.org/0000-0002-4035-0289>),
  Jay Berkenbilt [cph] (Author of libqpdf)
Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
Repository: CRAN
Date/Publication: 2019-02-28 17:50:03 UTC

## qpdf 1.2.0

=== DESCRIPTION ===
Package: qpdf
Type: Package
Title: Split, Combine and Compress PDF Files
Version: 1.2.0
Authors@R: c(person("Jeroen", "Ooms", role = c("aut", "cre"), 
    email = "jeroen@berkeley.edu", comment = c(ORCID = "0000-0002-4035-0289")),
        person("Ben", "Raymond", role = "ctb"),
        person("Jay Berkenbilt", role = "cph", comment = "Author of libqpdf"))
Description: Content-preserving transformations transformations of PDF files such 
    as split, combine, and compress. This package interfaces directly to the 'qpdf' 
    C++ API and does not require any command line utilities. Note that 'qpdf' does
    not read actual content from PDF files: to extract text and data you need the
    'pdftools' package.
License: Apache License 2.0
URL: https://docs.ropensci.org/qpdf/ (website),
        https://github.com/ropensci/qpdf (devel),
        https://qpdf.sourceforge.io/ (upstream)
BugReports: https://github.com/ropensci/qpdf/issues
Encoding: UTF-8
Imports: Rcpp, askpass, curl
LinkingTo: Rcpp
RoxygenNote: 7.1.2
Suggests: testthat
SystemRequirements: libjpeg
NeedsCompilation: yes
Packaged: 2022-05-29 08:30:33 UTC; jeroen
Author: Jeroen Ooms [aut, cre] (<https://orcid.org/0000-0002-4035-0289>),
  Ben Raymond [ctb],
  Jay Berkenbilt [cph] (Author of libqpdf)
Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
Repository: CRAN
Date/Publication: 2022-05-29 09:30:02 UTC

## qpdf 1.3.1

=== DESCRIPTION ===
Package: qpdf
Type: Package
Title: Split, Combine and Compress PDF Files
Version: 1.3.1
Authors@R: c(person("Jeroen", "Ooms", role = c("aut", "cre"), 
    email = "jeroen@berkeley.edu", comment = c(ORCID = "0000-0002-4035-0289")),
        person("Ben", "Raymond", role = "ctb"),
        person("Jay Berkenbilt", role = "cph", comment = "Author of libqpdf"))
Description: Content-preserving transformations transformations of PDF files such 
    as split, combine, and compress. This package interfaces directly to the 'qpdf' 
    C++ API and does not require any command line utilities. Note that 'qpdf' does
    not read actual content from PDF files: to extract text and data you need the
    'pdftools' package.
License: Apache License 2.0
URL: https://docs.ropensci.org/qpdf/
        https://ropensci.r-universe.dev/qpdf
        https://qpdf.sourceforge.io/
BugReports: https://github.com/ropensci/qpdf/issues
Encoding: UTF-8
Imports: Rcpp, askpass, curl
LinkingTo: Rcpp
RoxygenNote: 7.2.1
Suggests: testthat
SystemRequirements: libjpeg
NeedsCompilation: yes
Packaged: 2023-03-15 20:21:56 UTC; jeroen
Author: Jeroen Ooms [aut, cre] (<https://orcid.org/0000-0002-4035-0289>),
  Ben Raymond [ctb],
  Jay Berkenbilt [cph] (Author of libqpdf)
Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
Repository: CRAN
Date/Publication: 2023-03-15 23:50:02 UTC

## qpdf 1.3.5

=== DESCRIPTION ===
Package: qpdf
Type: Package
Title: Split, Combine and Compress PDF Files
Version: 1.3.5
Authors@R: c(person("Jeroen", "Ooms", role = c("aut", "cre"), 
    email = "jeroenooms@gmail.com", comment = c(ORCID = "0000-0002-4035-0289")),
        person("Ben", "Raymond", role = "ctb"),
        person("Jay Berkenbilt", role = "cph", comment = "Author of libqpdf"))
Description: Content-preserving transformations transformations of PDF files such 
    as split, combine, and compress. This package interfaces directly to the 'qpdf' 
    C++ library <https://qpdf.sourceforge.io/> and does not require any command 
    line utilities. Note that 'qpdf' does not read actual content from PDF files: 
    to extract text and data you need the 'pdftools' package.
License: Apache License 2.0
URL: https://docs.ropensci.org/qpdf/
        https://ropensci.r-universe.dev/qpdf
BugReports: https://github.com/ropensci/qpdf/issues
Encoding: UTF-8
Imports: Rcpp, askpass, curl
LinkingTo: Rcpp
RoxygenNote: 7.2.1
Suggests: testthat
SystemRequirements: libjpeg
NeedsCompilation: yes
Packaged: 2025-03-22 19:54:24 UTC; jeroen
Author: Jeroen Ooms [aut, cre] (<https://orcid.org/0000-0002-4035-0289>),
  Ben Raymond [ctb],
  Jay Berkenbilt [cph] (Author of libqpdf)
Maintainer: Jeroen Ooms <jeroenooms@gmail.com>
Repository: CRAN
Date/Publication: 2025-03-22 20:30:05 UTC

## qpdf 1.4.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: qpdf
 Type: Package
 Title: Split, Combine and Compress PDF Files
-Version: 1.3.5
+Version: 1.4.0
 Authors@R: c(person("Jeroen", "Ooms", role = c("aut", "cre"), 
     email = "jeroenooms@gmail.com", comment = c(ORCID = "0000-0002-4035-0289")),
         person("Ben", "Raymond", role = "ctb"),
@@ -22,10 +22,10 @@
 Suggests: testthat
 SystemRequirements: libjpeg
 NeedsCompilation: yes
-Packaged: 2025-03-22 19:54:24 UTC; jeroen
-Author: Jeroen Ooms [aut, cre] (<https://orcid.org/0000-0002-4035-0289>),
+Packaged: 2025-06-29 08:43:49 UTC; jeroen
+Author: Jeroen Ooms [aut, cre] (ORCID: <https://orcid.org/0000-0002-4035-0289>),
   Ben Raymond [ctb],
   Jay Berkenbilt [cph] (Author of libqpdf)
 Maintainer: Jeroen Ooms <jeroenooms@gmail.com>
 Repository: CRAN
-Date/Publication: 2025-03-22 20:30:05 UTC
+Date/Publication: 2025-06-29 09:30:02 UTC

## qpdf 1.4.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: qpdf
 Type: Package
 Title: Split, Combine and Compress PDF Files
-Version: 1.4.0
+Version: 1.4.1
 Authors@R: c(person("Jeroen", "Ooms", role = c("aut", "cre"), 
     email = "jeroenooms@gmail.com", comment = c(ORCID = "0000-0002-4035-0289")),
         person("Ben", "Raymond", role = "ctb"),
@@ -22,10 +22,10 @@
 Suggests: testthat
 SystemRequirements: libjpeg
 NeedsCompilation: yes
-Packaged: 2025-06-29 08:43:49 UTC; jeroen
+Packaged: 2025-06-30 11:12:14 UTC; jeroen
 Author: Jeroen Ooms [aut, cre] (ORCID: <https://orcid.org/0000-0002-4035-0289>),
   Ben Raymond [ctb],
   Jay Berkenbilt [cph] (Author of libqpdf)
 Maintainer: Jeroen Ooms <jeroenooms@gmail.com>
 Repository: CRAN
-Date/Publication: 2025-06-29 09:30:02 UTC
+Date/Publication: 2025-07-02 09:40:02 UTC

## qpdf 2.0.6

=== Makefile ===

# This makefile is inspired by abuild (http://www.abuild.org), which
# was used during the development of qpdf.  The goal here is to have a
# non-recursive build with all the proper dependencies so we can start
# the build from anywhere and get the right stuff.  Each directory has
# a build.mk that is included from here and is written from this
# directory's perspective.  Each directory also has a proxy Makefile
# that allows you to start the build from any directory and get
# reasonable semantics for the all, check, and clean targets.

# Our "build items" are directories.  They are listed here such that
# no item precedes any item it depends on.  Therefore, each item can
# safely reference variables set in its predecessors.

# For each build item B, you can run make build_B, make check_B, or
# make clean_B to build, test, or clean B.  Full dependencies are
# represented across all the items, so it is possible to start
# anywhere.  From the top level, the "all", "check", and "clean"
# targets build, test, or clean everything.

# Although this is not a GNU package and does not use automake, you
# can still run make clean to remove everything that is compiled, make
# distclean to remove everything that is generated by the end user,
# and make maintainer-clean to remove everything that is generated
# including things distributed with the source distribution.  You can
# pass CLEAN=1 to prevent this Makefile from complaining if
# ./configure has not been run.

# The install target works as usual and obeys --prefix and so forth
# passed to ./configure.  You can also pass DESTDIR=/dir to make
# install to install in a separate location.  This is useful for
# packagers.

BUILD_ITEMS = manual libqpdf zlib-flate libtests qpdf examples
OUTPUT_DIR = build
ALL_TARGETS =

.PHONY: default
default: all

CLEAN ?=
ifneq ($(CLEAN),1)
ifeq ($(words $(wildcard autoconf.mk)),0)
DUMMY := $(shell echo 1>&2)
DUMMY := $(shell echo 1>&2 Please run ./configure before running $(MAKE))
DUMMY := $(shell echo 1>&2)
$(error unable to continue with build)
endif

autoconf.mk:

include autoconf.mk

endif

# Prevent gnu make from trying to rebuild .dep files
$(foreach B,$(BUILD_ITEMS),$(eval \
  $(B)/$(OUTPUT_DIR)/%.dep: ;))

# Prevent gnu make from trying to rebuild .mk files
$(foreach B,$(BUILD_ITEMS),$(eval \
  $(B)/%.mk: ;))
%.mk: ;
make/%.mk: ;

include make/rules.mk

DUMMY := $(shell mkdir $(foreach B,$(BUILD_ITEMS),$(B)/$(OUTPUT_DIR)) 2>/dev/null)

include $(foreach B,$(BUILD_ITEMS),$(B)/build.mk)

ALL_TARGETS = $(foreach B,$(BUILD_ITEMS),$(TARGETS_$(B)))

TEST_ITEMS = $(foreach D,\
                 $(wildcard $(foreach B,$(BUILD_ITEMS),$(B)/qtest)),\
                 $(subst /,,$(dir $(D))))

TEST_TARGETS = $(foreach B,$(TEST_ITEMS),check_$(B))

CLEAN_TARGETS = $(foreach B,$(BUILD_ITEMS),clean_$(B))

# For test suitse
export QPDF_BIN = $(abspath qpdf/$(OUTPUT_DIR)/qpdf)
export SKIP_TEST_COMPARE_IMAGES

clean: $(CLEAN_TARGETS)

.PHONY: $(CLEAN_TARGETS)
$(foreach B,$(BUILD_ITEMS),$(eval \
  clean_$(B): ; \
	$(RM) -r $(B)/$(OUTPUT_DIR)))

distclean: clean
	$(RM) -r autoconf.mk autom4te.cache config.log config.status libtool
	$(RM) libqpdf/qpdf/qpdf-config.h
	$(RM) manual/html.xsl
	$(RM) manual/print.xsl
	$(RM) doc/*.1

maintainer-clean: distclean
	$(RM) configure doc/qpdf-manual.* libqpdf/qpdf/qpdf-config.h.in

.PHONY: $(TEST_TARGETS)
$(foreach B,$(TEST_ITEMS),$(eval \
  check_$(B): $(TARGETS_$(B))))

.PHONY: $(foreach B,$(BUILD_ITEMS),build_$(B))
$(foreach B,$(BUILD_ITEMS),$(eval \
  build_$(B): $(TARGETS_$(B))))

.PHONY: all
all: $(ALL_TARGETS) ;

check: $(TEST_TARGETS)

install_docs::
install: all
	./mkinstalldirs $(DESTDIR)$(libdir)
	./mkinstalldirs $(DESTDIR)$(bindir)
	./mkinstalldirs $(DESTDIR)$(includedir)/qpdf
	./mkinstalldirs $(DESTDIR)$(docdir)
	./mkinstalldirs $(DESTDIR)$(mandir)/man1
	$(LIBTOOL) --mode=install install -s -c \
		libqpdf/$(OUTPUT_DIR)/libqpdf.la \
		$(DESTDIR)$(libdir)/libqpdf.la
	$(LIBTOOL) --finish $(DESTDIR)$(libdir)
	$(LIBTOOL) --mode=install install -s -c \
		qpdf/$(OUTPUT_DIR)/qpdf \
		$(DESTDIR)$(bindir)/qpdf
	$(LIBTOOL) --mode=install install -s -c \
		zlib-flate/$(OUTPUT_DIR)/zlib-flate \
		$(DESTDIR)$(bindir)/zlib-flate
	cp qpdf/fix-qdf $(DESTDIR)$(bindir)
	cp include/qpdf/*.hh $(DESTDIR)$(includedir)/qpdf
	cp doc/stylesheet.css $(DESTDIR)$(docdir)
	cp doc/qpdf-manual.html $(DESTDIR)$(docdir)
	cp doc/qpdf-manual.pdf $(DESTDIR)$(docdir)
	cp doc/*.1 $(DESTDIR)$(mandir)/man1

QTEST=$(abspath qtest/bin/qtest-driver)
$(TEST_TARGETS):
	@echo running qtest-driver for $(subst check_,,$@)
	@(cd $(subst check_,,$@)/$(OUTPUT_DIR); \
         if TC_SRCS="$(foreach T,$(TC_SRCS_$(subst check_,,$@)),../../$(T))" \
	 $(QTEST) -bindirs .:.. -datadir ../qtest -covdir ..; then \
	    true; \
	 else \
	    cat -v qtest.log; \
	    false; \
	 fi)

## qpdf 2.1.2

=== debian/changelog ===
qpdf (2.1.2-1) unstable; urgency=low

  * New upstream release

 -- Jay Berkenbilt <qjb@debian.org>  Sun, 24 Jan 2010 20:47:09 -0500

qpdf (2.1.1-1) unstable; urgency=low

  * New upstream release
  * Updated source format to '3.0 (quilt)'
  * Upstream release builds with gcc 4.4. (Closes: #559877)

 -- Jay Berkenbilt <qjb@debian.org>  Mon, 14 Dec 2009 15:02:12 -0500

qpdf (2.1-1) unstable; urgency=low

  * New upstream release

 -- Jay Berkenbilt <qjb@debian.org>  Fri, 30 Oct 2009 19:59:00 -0400

qpdf (2.1~rc1-1) experimental; urgency=low

  * New upstream release.  Several enhancements including support for PDF
    files with AES encryption, a partial C API (qpdf is primarily C++),
    and several additional enhancements to the API.  There are a few
    source API changes, though most programs will not be affected; details
    in documentation.
  * Updated standards version to 3.8.3.  No changes required.

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 24 Oct 2009 10:33:43 -0400

qpdf (2.0.6-1) unstable; urgency=low

  * New upstream release
  * New release includes a fix for streams with decode parameters that
    qpdf doesn't understand.  (It ignores them and leaves the streams
    unfiltered instead of giving an error message.)
  * Updated standards version to 3.8.1.  No changes required.

 -- Jay Berkenbilt <qjb@debian.org>  Sun, 03 May 2009 16:30:11 -0400

qpdf (2.0.5-1) unstable; urgency=low

  * New upstream release
  * New release includes fixes to LZW decoder and improved features for
    handling files with damaged streams.

 -- Jay Berkenbilt <qjb@debian.org>  Tue, 10 Mar 2009 13:02:50 -0400

qpdf (2.0.4-1) unstable; urgency=low

  * New upstream release
  * Fix README.source since we don't use tarball in tarball anymore.

 -- Jay Berkenbilt <qjb@debian.org>  Sun, 22 Feb 2009 17:39:50 -0500

qpdf (2.0.3-1) unstable; urgency=low

  * New upstream release
  * Upstream release includes fix for gcc 4.4 compilation errors.
    (Closes: #505422)
  * No longer use tarball in tarball source package format

 -- Jay Berkenbilt <qjb@debian.org>  Sun, 15 Feb 2009 18:02:05 -0500

qpdf (2.0.2-1) unstable; urgency=low

  * New upstream release.  All debian changes incorporated.

 -- Jay Berkenbilt <qjb@debian.org>  Mon, 30 Jun 2008 11:04:02 -0400

qpdf (2.0.1-3) unstable; urgency=low

  * Fix bashism in test suite.  (Closes: #485047)
  * Update standards version to 3.8.0 by adding a debian/README.source
    file.  NO other changes were required.

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 07 Jun 2008 21:14:05 -0400

qpdf (2.0.1-2) unstable; urgency=low

  * Increase timeout in test driver to be more tolerant of slow build
    systems.

 -- Jay Berkenbilt <qjb@debian.org>  Wed, 07 May 2008 11:44:56 -0400

qpdf (2.0.1-1) unstable; urgency=low

  * New upstream release
  * All debian patches incorporated.

 -- Jay Berkenbilt <qjb@debian.org>  Tue, 06 May 2008 12:15:20 -0400

qpdf (2.0-5) unstable; urgency=low

  * Fix 64-bit errors

 -- Jay Berkenbilt <qjb@debian.org>  Mon, 05 May 2008 10:38:23 -0400

qpdf (2.0-4) unstable; urgency=low

  * Remove tests in specific locales.  These are obsolete and cause false
    failures when locales aren't fully configured.

 -- Jay Berkenbilt <qjb@debian.org>  Sun, 04 May 2008 22:02:56 -0400

qpdf (2.0-3) unstable; urgency=low

  * Added missing header files needed for g++-4.3.  (Closes: #479301).
    (Now figuring out why my sid chroot doesn't have gcc 4.3.)

 -- Jay Berkenbilt <qjb@debian.org>  Sun, 04 May 2008 12:01:31 -0400

qpdf (2.0-2) unstable; urgency=low

  * Added missing strlen.h to correct build failure.

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 03 May 2008 22:04:26 -0400

qpdf (2.0-1) unstable; urgency=low

  * Initial public release.  (Closes: #478585)

 -- Jay Berkenbilt <qjb@debian.org>  Wed, 30 Apr 2008 12:00:29 -0400

=== debian/control ===
Source: qpdf
Section: libs
Priority: optional
Build-Depends: cdbs, debhelper (>= 5.0.38), libpcre3-dev, zlib1g-dev
Maintainer: Jay Berkenbilt <qjb@debian.org>
Standards-Version: 3.8.3
Homepage: http://qpdf.sourceforge.net

Package: libqpdf3
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: qpdf
Description: runtime library for PDF transformation/inspection software
 QPDF is a program that can be used to linearize (web-optimize),
 encrypt (password-protect), decrypt, and inspect PDF files from the
 command-line.  It does these and other structural, content-preserving
 transformations on PDF files, reading a PDF file as input and
 creating a new one as output.  It also provides many useful
 capabilities to developers of PDF-producing software or for people
 who just want to look at the innards of a PDF file to learn more
 about how they work.
 .
 QPDF understands PDF files that use compressed object streams
 (supported by newer PDF applications) and can convert such files into
 those that can be read with older viewers.  It can also be used for
 checking PDF files for structural errors, inspecting stream contents,
 or extracting objects from PDF files.  QPDF is not PDF content
 creation or viewing software -- it does not have the capability to
 create PDF files from scratch or to display PDF files.
 .
 This package contains the qpdf runtime libraries required to run
 programs that link with the qpdf library.

Package: libqpdf-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libqpdf3 (= ${binary:Version}), libpcre3-dev, zlib1g-dev
Recommends: qpdf
Description: development files for PDF transformation/inspection library
 QPDF is a program that can be used to linearize (web-optimize),
 encrypt (password-protect), decrypt, and inspect PDF files from the
 command-line.  It does these and other structural, content-preserving
 transformations on PDF files, reading a PDF file as input and
 creating a new one as output.  It also provides many useful
 capabilities to developers of PDF-producing software or for people
 who just want to look at the innards of a PDF file to learn more
 about how they work.
 .
 QPDF understands PDF files that use compressed object streams
 (supported by newer PDF applications) and can convert such files into
 those that can be read with older viewers.  It can also be used for
 checking PDF files for structural errors, inspecting stream contents,
 or extracting objects from PDF files.  QPDF is not PDF content
 creation or viewing software -- it does not have the capability to
 create PDF files from scratch or to display PDF files.
 .
 This package includes all development files needed to compile
 applications that use the qpdf library.

Package: qpdf
Section: text
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: tools for and transforming and inspecting PDF files
 QPDF is a program that can be used to linearize (web-optimize),
 encrypt (password-protect), decrypt, and inspect PDF files from the
 command-line.  It does these and other structural, content-preserving
 transformations on PDF files, reading a PDF file as input and
 creating a new one as output.  It also provides many useful
 capabilities to developers of PDF-producing software or for people
 who just want to look at the innards of a PDF file to learn more
 about how they work.
 .
 QPDF understands PDF files that use compressed object streams
 (supported by newer PDF applications) and can convert such files into
 those that can be read with older viewers.  It can also be used for
 checking PDF files for structural errors, inspecting stream contents,
 or extracting objects from PDF files.  QPDF is not PDF content
 creation or viewing software -- it does not have the capability to
 create PDF files from scratch or to display PDF files.
 .
 This package includes the command-line qpdf tools.  It also contains
 the documentation.

## qpdf 2.1.5

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,3 @@
-
 # This makefile is inspired by abuild (http://www.abuild.org), which
 # was used during the development of qpdf.  The goal here is to have a
 # non-recursive build with all the proper dependencies so we can start
@@ -31,7 +30,7 @@
 # install to install in a separate location.  This is useful for
 # packagers.
 
-BUILD_ITEMS = manual libqpdf zlib-flate libtests qpdf examples
+BUILD_ITEMS := manual libqpdf zlib-flate libtests qpdf examples
 OUTPUT_DIR = build
 ALL_TARGETS =
 
@@ -63,6 +62,7 @@
 %.mk: ;
 make/%.mk: ;
 
+BUILDRULES ?= libtool
 include make/rules.mk
 
 DUMMY := $(shell mkdir $(foreach B,$(BUILD_ITEMS),$(B)/$(OUTPUT_DIR)) 2>/dev/null)
@@ -83,7 +83,7 @@
 export QPDF_BIN = $(abspath qpdf/$(OUTPUT_DIR)/qpdf)
 export SKIP_TEST_COMPARE_IMAGES
 
-clean: $(CLEAN_TARGETS)
+clean:: $(CLEAN_TARGETS)
 
 .PHONY: $(CLEAN_TARGETS)
 $(foreach B,$(BUILD_ITEMS),$(eval \
@@ -99,6 +99,8 @@
 
 maintainer-clean: distclean
 	$(RM) configure doc/qpdf-manual.* libqpdf/qpdf/qpdf-config.h.in
+	$(RM) aclocal.m4
+	$(RM) -r install-mingw install-msvc external-libs
 
 .PHONY: $(TEST_TARGETS)
 $(foreach B,$(TEST_ITEMS),$(eval \
@@ -113,29 +115,8 @@
 
 check: $(TEST_TARGETS)
 
-install_docs::
-install: all
-	./mkinstalldirs $(DESTDIR)$(libdir)
-	./mkinstalldirs $(DESTDIR)$(bindir)
-	./mkinstalldirs $(DESTDIR)$(includedir)/qpdf
-	./mkinstalldirs $(DESTDIR)$(docdir)
-	./mkinstalldirs $(DESTDIR)$(mandir)/man1
-	$(LIBTOOL) --mode=install install -s -c \
-		libqpdf/$(OUTPUT_DIR)/libqpdf.la \
-		$(DESTDIR)$(libdir)/libqpdf.la
-	$(LIBTOOL) --finish $(DESTDIR)$(libdir)
-	$(LIBTOOL) --mode=install install -s -c \
-		qpdf/$(OUTPUT_DIR)/qpdf \
-		$(DESTDIR)$(bindir)/qpdf
-	$(LIBTOOL) --mode=install install -s -c \
-		zlib-flate/$(OUTPUT_DIR)/zlib-flate \
-		$(DESTDIR)$(bindir)/zlib-flate
-	cp qpdf/fix-qdf $(DESTDIR)$(bindir)
-	cp include/qpdf/*.hh $(DESTDIR)$(includedir)/qpdf
-	cp doc/stylesheet.css $(DESTDIR)$(docdir)
-	cp doc/qpdf-manual.html $(DESTDIR)$(docdir)
-	cp doc/qpdf-manual.pdf $(DESTDIR)$(docdir)
-	cp doc/*.1 $(DESTDIR)$(mandir)/man1
+# Install targets are in the make directory in the rules-specific make
+# fragments.
 
 QTEST=$(abspath qtest/bin/qtest-driver)
 $(TEST_TARGETS):

=== debian/changelog ===
qpdf (2.1.5-1) unstable; urgency=low

  * New upstream release

 -- Jay Berkenbilt <qjb@debian.org>  Sun, 25 Apr 2010 11:11:03 -0400

qpdf (2.1.4-1) unstable; urgency=low

  * New upstream release

 -- Jay Berkenbilt <qjb@debian.org>  Sun, 18 Apr 2010 19:26:55 -0400

qpdf (2.1.3-1) unstable; urgency=low

  * New upstream release
  * Updated standards version to 3.8.4.  No changes required.

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 27 Mar 2010 12:24:48 -0400

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Build-Depends: cdbs, debhelper (>= 5.0.38), libpcre3-dev, zlib1g-dev
 Maintainer: Jay Berkenbilt <qjb@debian.org>
-Standards-Version: 3.8.3
+Standards-Version: 3.8.4
 Homepage: http://qpdf.sourceforge.net
 
 Package: libqpdf3

## qpdf 2.2.0

=== debian/changelog ===
qpdf (2.2.0-2) unstable; urgency=low

  * Updated shlibs file to reflect added API.  Thanks Julien Cristau.

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 21 Aug 2010 12:02:55 -0400

qpdf (2.2.0-1) unstable; urgency=low

  * New upstream release
  * Updated standards to 3.9.1.  No changes required.

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 14 Aug 2010 14:14:52 -0400

=== debian/rules ===
#!/usr/bin/make -f

# To distinguish variables that are truly local to this file (rather
# than for use by cdbs), we adopt the convention of starting local
# variables' names with l_.

l_PWD := $(shell pwd)
l_STAMPS = debian/l_stamps

# Variables used by cdbs

VERSION := $(shell dpkg-parsechangelog | \
             awk '/Version:/ {print $$2}' | cut -d- -f 1)

DEB_TAR_SRCDIR = qpdf-$(VERSION)
DEB_COMPRESS_EXCLUDE = \
	qpdf-manual.html \
	qpdf-manual.pdf \
	stylesheets.css

DEB_CONFIGURE_USER_FLAGS = \
	--disable-test-compare-images

# Include cdbs rules files.
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

cleanbuilddir::
	$(RM) -r $(l_STAMPS)

# As 0.4.21, cdbs creates but doesn't remove debian/compat.  It
# creates it conditionally, so this doesn't have a trivial fix.
clean::
	$(RM) debian/compat *.cdbs-config_list

install/libqpdf-dev::
	mkdir -p debian/tmp/usr/share/doc/libqpdf-dev/examples
	cp -p $(DEB_SRCDIR)/examples/*.cc $(DEB_SRCDIR)/examples/*.c \
		debian/tmp/usr/share/doc/libqpdf-dev/examples

## qpdf 2.2.2

=== debian/changelog ===
qpdf (2.2.2-1) unstable; urgency=low

  * New upstream release

 -- Jay Berkenbilt <qjb@debian.org>  Mon, 04 Oct 2010 12:14:33 -0400

qpdf (2.2.1-1) unstable; urgency=low

  * New upstream release

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 02 Oct 2010 12:00:30 -0400

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Build-Depends: cdbs, debhelper (>= 5.0.38), libpcre3-dev, zlib1g-dev
 Maintainer: Jay Berkenbilt <qjb@debian.org>
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Homepage: http://qpdf.sourceforge.net
 
 Package: libqpdf3

## qpdf 2.2.4

=== debian/changelog ===
qpdf (2.2.4-1) unstable; urgency=low

  * New upstream release.
  * -Werror is now disabled by default, so it is no longer disabled
    explicitly in debian/rules.

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 25 Jun 2011 15:14:13 -0400

qpdf (2.2.3-2) unstable; urgency=low

  * Disable -Werror for debian builds. (Closes: #625420)

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 07 May 2011 09:37:25 -0400

qpdf (2.2.3-1) unstable; urgency=low

  * New upstream release
  * Updated standards to 3.9.2.  No changes required.

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 30 Apr 2011 16:18:28 -0400

## qpdf 2.3.0

=== debian/changelog ===
qpdf (2.3.0-1) unstable; urgency=low

  * New upstream release

 -- Jay Berkenbilt <qjb@debian.org>  Thu, 11 Aug 2011 16:43:32 -0400

## qpdf 2.3.1

=== debian/changelog ===
qpdf (2.3.1-4) unstable; urgency=low

  * Work around portability issues exposed by upgrading to gcc 4.7.  The
    next upstream version of qpdf will handle these properly.  (Closes:
    #673404)

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 19 May 2012 09:21:52 -0400

qpdf (2.3.1-3) unstable; urgency=low

  * Enable hardening and multiarch.

 -- Jay Berkenbilt <qjb@debian.org>  Sun, 22 Apr 2012 10:51:21 -0400

qpdf (2.3.1-2) unstable; urgency=low

  * Fix to work with pcre 8.30.  (Closes: #666308)
  * Update standards to 3.9.3.
  * Fix typo in zlib-flate manual page.  Thanks A. Costa.  (Closes:
    #666983)

 -- Jay Berkenbilt <qjb@debian.org>  Fri, 06 Apr 2012 21:45:43 -0400

qpdf (2.3.1-1) unstable; urgency=low

  * New upstream release
  * Release includes documentation fixes reported in debian bug reports.
    (Closes: #638038, #636931)

 -- Jay Berkenbilt <qjb@debian.org>  Wed, 28 Dec 2011 17:38:56 -0500

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,16 @@
 Source: qpdf
 Section: libs
 Priority: optional
-Build-Depends: cdbs, debhelper (>= 5.0.38), libpcre3-dev, zlib1g-dev
+Build-Depends: cdbs (>= 0.4.93~), debhelper (>= 8.1.3), libpcre3-dev, zlib1g-dev, hardening-wrapper
 Maintainer: Jay Berkenbilt <qjb@debian.org>
-Standards-Version: 3.9.1
+Standards-Version: 3.9.3
 Homepage: http://qpdf.sourceforge.net
 
 Package: libqpdf3
 Section: libs
 Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: qpdf
 Description: runtime library for PDF transformation/inspection software
@@ -35,6 +37,8 @@
 Package: libqpdf-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, libqpdf3 (= ${binary:Version}), libpcre3-dev, zlib1g-dev
 Recommends: qpdf
 Description: development files for PDF transformation/inspection library

=== debian/rules ===
--- 
+++ 
@@ -18,8 +18,10 @@
 	qpdf-manual.pdf \
 	stylesheets.css
 
-DEB_CONFIGURE_USER_FLAGS = \
+DEB_CONFIGURE_USER_FLAGS = --libdir="\$${prefix}/lib/$(DEB_HOST_MULTIARCH)" \
 	--disable-test-compare-images
+
+export DEB_BUILD_HARDENING=1
 
 # Include cdbs rules files.
 include /usr/share/cdbs/1/rules/debhelper.mk
@@ -28,10 +30,8 @@
 cleanbuilddir::
 	$(RM) -r $(l_STAMPS)
 
-# As 0.4.21, cdbs creates but doesn't remove debian/compat.  It
-# creates it conditionally, so this doesn't have a trivial fix.
 clean::
-	$(RM) debian/compat *.cdbs-config_list
+	$(RM) *.cdbs-config_list
 
 install/libqpdf-dev::
 	mkdir -p debian/tmp/usr/share/doc/libqpdf-dev/examples

## qpdf 3.0.2

=== Makefile ===
--- 
+++ 
@@ -81,7 +81,8 @@
 
 # For test suitse
 export QPDF_BIN = $(abspath qpdf/$(OUTPUT_DIR)/qpdf)
-export SKIP_TEST_COMPARE_IMAGES
+export QPDF_SKIP_TEST_COMPARE_IMAGES
+export QPDF_LARGE_FILE_TEST_PATH
 
 clean:: $(CLEAN_TARGETS)
 
@@ -96,6 +97,7 @@
 	$(RM) manual/html.xsl
 	$(RM) manual/print.xsl
 	$(RM) doc/*.1
+	$(RM) libqpdf.pc
 
 maintainer-clean: distclean
 	$(RM) configure doc/qpdf-manual.* libqpdf/qpdf/qpdf-config.h.in
@@ -126,6 +128,8 @@
 	 $(QTEST) -bindirs .:.. -datadir ../qtest -covdir ..; then \
 	    true; \
 	 else \
-	    cat -v qtest.log; \
+	    if test "$(SHOW_FAILED_TEST_OUTPUT)" = "1"; then \
+	       cat -v qtest.log; \
+	    fi; \
 	    false; \
 	 fi)

=== debian/changelog ===
qpdf (3.0.2-1) experimental; urgency=low

  * New upstream release

 -- Jay Berkenbilt <qjb@debian.org>  Thu, 06 Sep 2012 16:42:48 -0400

qpdf (3.0.1-1) experimental; urgency=low

  * New upstream release

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 11 Aug 2012 13:58:29 -0400

qpdf (3.0.0-2) experimental; urgency=low

  * Package .pc file in dev package.

 -- Jay Berkenbilt <qjb@debian.org>  Thu, 09 Aug 2012 21:20:22 -0400

qpdf (3.0.0-1) experimental; urgency=low

  * New upstream release
  * Note: this release is fully production-ready.  It has been uploaded to
    debian experimental only because of the Wheezy freeze in effect at the
    time of upload.

 -- Jay Berkenbilt <qjb@debian.org>  Thu, 02 Aug 2012 06:36:49 -0400

qpdf (3.0~rc1-1) experimental; urgency=low

  * New upstream release
  * Change hardening to use dpkg-buildflags

 -- Jay Berkenbilt <qjb@debian.org>  Sun, 29 Jul 2012 14:57:40 -0400

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: qpdf
 Section: libs
 Priority: optional
-Build-Depends: cdbs (>= 0.4.93~), debhelper (>= 8.1.3), libpcre3-dev, zlib1g-dev, hardening-wrapper
+Build-Depends: cdbs (>> 0.4.93~), debhelper (>> 9~), dpkg-dev (>= 1.16.1~), libpcre3-dev, zlib1g-dev
 Maintainer: Jay Berkenbilt <qjb@debian.org>
 Standards-Version: 3.9.3
 Homepage: http://qpdf.sourceforge.net
 
-Package: libqpdf3
+Package: libqpdf8
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -39,7 +39,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, libqpdf3 (= ${binary:Version}), libpcre3-dev, zlib1g-dev
+Depends: ${misc:Depends}, libqpdf8 (= ${binary:Version}), libpcre3-dev, zlib1g-dev
 Recommends: qpdf
 Description: development files for PDF transformation/inspection library
  QPDF is a program that can be used to linearize (web-optimize),

## qpdf 4.0.1

=== debian/changelog ===
qpdf (4.0.1-2) experimental; urgency=low

  * Bug fix: proper handling of overridden compressed objects.  This fix
    is backported from upstream and will be part of 4.1.0.

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 23 Feb 2013 18:11:56 -0500

qpdf (4.0.1-1) experimental; urgency=low

  * New upstream release.  All patches incorporated.

 -- Jay Berkenbilt <qjb@debian.org>  Thu, 17 Jan 2013 10:09:39 -0500

qpdf (4.0.0-2) experimental; urgency=low

  * Patch to test code for detection of binary attachments on big-endian
    systems.  No actual qpdf code is changed.

 -- Jay Berkenbilt <qjb@debian.org>  Wed, 16 Jan 2013 13:44:28 -0500

qpdf (4.0.0-1) experimental; urgency=low

  * New upstream release

 -- Jay Berkenbilt <qjb@debian.org>  Mon, 31 Dec 2012 11:06:44 -0500

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Standards-Version: 3.9.3
 Homepage: http://qpdf.sourceforge.net
 
-Package: libqpdf8
+Package: libqpdf10
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -39,7 +39,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, libqpdf8 (= ${binary:Version}), libpcre3-dev, zlib1g-dev
+Depends: ${misc:Depends}, libqpdf10 (= ${binary:Version}), libpcre3-dev, zlib1g-dev
 Recommends: qpdf
 Description: development files for PDF transformation/inspection library
  QPDF is a program that can be used to linearize (web-optimize),

=== debian/rules ===
#!/usr/bin/make -f

# Enable all hardening options.
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

DEB_MAKE_CHECK_TARGET = check
DEB_COMPRESS_EXCLUDE = \
	qpdf-manual.html \
	qpdf-manual.pdf \
	stylesheets.css
DEB_CONFIGURE_USER_FLAGS = --libdir="\$${prefix}/lib/$(DEB_HOST_MULTIARCH)" \
	--enable-show-failed-test-output

# Include cdbs rules files.
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

clean::
	$(RM) *.cdbs-config_list

install/libqpdf-dev::
	mkdir -p debian/tmp/usr/share/doc/libqpdf-dev/examples
	cp -p $(DEB_SRCDIR)/examples/*.cc $(DEB_SRCDIR)/examples/*.c \
		debian/tmp/usr/share/doc/libqpdf-dev/examples

## qpdf 4.2.0

=== debian/changelog ===
qpdf (4.2.0-2) unstable; urgency=low

  * Revert ABI change caused by bug fix.  The bug fix will be re-released
    in qpdf 5.0.0.  (Closes: #715448)

 -- Jay Berkenbilt <qjb@debian.org>  Wed, 10 Jul 2013 13:00:43 -0400

qpdf (4.2.0-1) unstable; urgency=low

  * New upstream release

 -- Jay Berkenbilt <qjb@debian.org>  Sun, 07 Jul 2013 19:05:03 -0400

qpdf (4.1.0-2) unstable; urgency=low

  * Re-upload to unstable.
  * Build depend on autotools-dev to always get latest config.sub and
    config.guess
  * Update standards version to 3.9.4.  No changes made.  (qpdf is a C++
    library with versioned symbols that version "*", so we continue to use
    a shlibs file instead of a symbols file.)

 -- Jay Berkenbilt <qjb@debian.org>  Tue, 07 May 2013 14:15:47 -0400

qpdf (4.1.0-1) experimental; urgency=low

  * New upstream release

 -- Jay Berkenbilt <qjb@debian.org>  Sun, 14 Apr 2013 14:51:40 -0400

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: qpdf
 Section: libs
 Priority: optional
-Build-Depends: cdbs (>> 0.4.93~), debhelper (>> 9~), dpkg-dev (>= 1.16.1~), libpcre3-dev, zlib1g-dev
+Build-Depends: cdbs (>> 0.4.93~), debhelper (>> 9~), autotools-dev, dpkg-dev (>= 1.16.1~), libpcre3-dev, zlib1g-dev
 Maintainer: Jay Berkenbilt <qjb@debian.org>
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://qpdf.sourceforge.net
 
 Package: libqpdf10

## qpdf 5.1.1

=== debian/changelog ===
qpdf (5.1.1-1) unstable; urgency=medium

  * New upstream release.

 -- Jay Berkenbilt <qjb@debian.org>  Tue, 14 Jan 2014 15:51:35 -0500

qpdf (5.1.0-1) unstable; urgency=medium

  * New upstream release
  * Use dh-autoreconf (Closes: #732093)
  * Update standards to 3.9.5.  No changes required.

 -- Jay Berkenbilt <qjb@debian.org>  Tue, 17 Dec 2013 15:50:11 -0500

qpdf (5.0.1-1) unstable; urgency=low

  * New upstream release

 -- Jay Berkenbilt <qjb@debian.org>  Fri, 18 Oct 2013 12:53:02 -0400

qpdf (5.0.0-2) unstable; urgency=low

  * Upload to unstable

 -- Jay Berkenbilt <qjb@debian.org>  Fri, 26 Jul 2013 09:45:50 -0400

qpdf (5.0.0-1) experimental; urgency=low

  * New upstream release

 -- Jay Berkenbilt <qjb@debian.org>  Wed, 10 Jul 2013 13:34:36 -0400

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: qpdf
 Section: libs
 Priority: optional
-Build-Depends: cdbs (>> 0.4.93~), debhelper (>> 9~), autotools-dev, dpkg-dev (>= 1.16.1~), libpcre3-dev, zlib1g-dev
+Build-Depends: cdbs (>> 0.4.93~), debhelper (>> 9~), dh-autoreconf, dpkg-dev (>= 1.16.1~), libpcre3-dev, zlib1g-dev
 Maintainer: Jay Berkenbilt <qjb@debian.org>
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://qpdf.sourceforge.net
 
-Package: libqpdf10
+Package: libqpdf13
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -39,7 +39,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, libqpdf10 (= ${binary:Version}), libpcre3-dev, zlib1g-dev
+Depends: ${misc:Depends}, libqpdf13 (= ${binary:Version}), libpcre3-dev, zlib1g-dev
 Recommends: qpdf
 Description: development files for PDF transformation/inspection library
  QPDF is a program that can be used to linearize (web-optimize),

## qpdf 5.1.2

=== debian/changelog ===
qpdf (5.1.2-3) experimental; urgency=medium

  * Handle broken PDF files with missing /Type keys in their page
    dictionary nodes. (Uploaded to experimental during debian freeze --
    this is production-ready.)

 -- Jay Berkenbilt <qjb@debian.org>  Mon, 29 Dec 2014 10:27:12 -0500

qpdf (5.1.2-2) unstable; urgency=medium

  * Properly handle pages with no /Content in the page dictionary,
    enabling printing of files with blank pages as produced by some
    software. (Closes: #769599)

 -- Jay Berkenbilt <qjb@debian.org>  Fri, 14 Nov 2014 21:07:25 -0500

qpdf (5.1.2-1) unstable; urgency=medium

  * New upstream release.

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 07 Jun 2014 17:13:43 -0400

## qpdf 5.1.3

=== debian/changelog ===
qpdf (5.1.3-2) unstable; urgency=medium

  * Upload for gcc5 transition. Rename libqpdf13 to libqpdf13v5.
    (Closes: #791255)

 -- Jay Berkenbilt <qjb@debian.org>  Mon, 03 Aug 2015 09:39:26 -0400

qpdf (5.1.3-1) unstable; urgency=medium

  * New upstream release. Includes all previous patches.
  * Update standards to 3.9.6. No changes required.
  * Fix typo in package description. (Closes: #779192)

 -- Jay Berkenbilt <qjb@debian.org>  Sun, 24 May 2015 17:47:05 -0400

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,12 @@
 Priority: optional
 Build-Depends: cdbs (>> 0.4.93~), debhelper (>> 9~), dh-autoreconf, dpkg-dev (>= 1.16.1~), libpcre3-dev, zlib1g-dev
 Maintainer: Jay Berkenbilt <qjb@debian.org>
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://qpdf.sourceforge.net
 
-Package: libqpdf13
+Package: libqpdf13v5
+Breaks: libqpdf13
+Replaces: libqpdf13
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -39,7 +41,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, libqpdf13 (= ${binary:Version}), libpcre3-dev, zlib1g-dev
+Depends: ${misc:Depends}, libqpdf13v5 (= ${binary:Version}), libpcre3-dev, zlib1g-dev
 Recommends: qpdf
 Description: development files for PDF transformation/inspection library
  QPDF is a program that can be used to linearize (web-optimize),
@@ -66,7 +68,7 @@
 Section: text
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Description: tools for and transforming and inspecting PDF files
+Description: tools for transforming and inspecting PDF files
  QPDF is a program that can be used to linearize (web-optimize),
  encrypt (password-protect), decrypt, and inspect PDF files from the
  command-line.  It does these and other structural, content-preserving

## qpdf 6.0.0

=== debian/changelog ===
qpdf (6.0.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Jay Berkenbilt <qjb@debian.org>  Mon, 16 Nov 2015 14:10:13 -0500

qpdf (6.0.0-1) experimental; urgency=medium

  * New upstream release. Includes soname bump.

 -- Jay Berkenbilt <qjb@debian.org>  Tue, 10 Nov 2015 13:52:29 -0500

qpdf (5.2.0-2) unstable; urgency=medium

  * Revert ABI change. This is reverts the deterministic ID change
    introduced in 5.2.0 but retains the other fix. 6.0.0 will be released
    imminently with the new functionality. This version is compatible with
    5.1.3. (Closes: #804706)

 -- Jay Berkenbilt <qjb@debian.org>  Tue, 10 Nov 2015 13:08:28 -0500

qpdf (5.2.0-1) unstable; urgency=medium

  * New upstream release.

 -- Jay Berkenbilt <qjb@debian.org>  Sun, 01 Nov 2015 16:48:58 -0500

qpdf (5.1.3-3) unstable; urgency=high

  * Update copyright to include a few files that had separate copyrights
    from the rest of the software. (Closes: #794555)

 -- Jay Berkenbilt <qjb@debian.org>  Sun, 06 Sep 2015 18:37:40 -0400

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,7 @@
 Standards-Version: 3.9.6
 Homepage: http://qpdf.sourceforge.net
 
-Package: libqpdf13v5
-Breaks: libqpdf13
-Replaces: libqpdf13
+Package: libqpdf17
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -41,7 +39,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, libqpdf13v5 (= ${binary:Version}), libpcre3-dev, zlib1g-dev
+Depends: ${misc:Depends}, libqpdf17 (= ${binary:Version}), libpcre3-dev, zlib1g-dev
 Recommends: qpdf
 Description: development files for PDF transformation/inspection library
  QPDF is a program that can be used to linearize (web-optimize),

=== debian/rules ===
--- 
+++ 
@@ -16,6 +16,7 @@
 # Include cdbs rules files.
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/autotools.mk
+include /usr/share/cdbs/1/rules/autoreconf.mk
 
 clean::
 	$(RM) *.cdbs-config_list

=== debian/watch ===
version=3
http://sf.net/qpdf/qpdf-([\d\.]+)\.tar\.gz debian uupdate

## qpdf 7.0.0

=== debian/changelog ===
qpdf (7.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Jay Berkenbilt <qjb@debian.org>  Fri, 15 Sep 2017 23:12:59 -0400

qpdf (7.0~b1-3) experimental; urgency=medium

  * Redo debian rules to use dh over cdbs.
  * 7.0~b1 closes several bugs. (Closes: #863390, #871320, #825246)

 -- Jay Berkenbilt <qjb@debian.org>  Thu, 24 Aug 2017 21:40:57 -0400

qpdf (7.0~b1-2) experimental; urgency=medium

  * No code changes from previous upload other than noting that several
    bugs are closed. I left this out of the earlier changelog. This
    release has many enhancements and fixes many bugs. There are also
    several CVE fixes: CVE-2017-11624, CVE-2017-11625, CVE-2017-11626,
    CVE-2017-11627, CVE-2017-9208, CVE-2017-9209, CVE-2017-9210. A full
    listing of the changes in this version will be included in the release
    notes of the final 7.0.0 release.
  * Change build dependency for libjpeg-dev to leave only virtual package.

 -- Jay Berkenbilt <qjb@debian.org>  Wed, 23 Aug 2017 12:19:47 -0400

qpdf (7.0~b1-1) experimental; urgency=medium

  * New upstream release. Includes soname bump.

 -- Jay Berkenbilt <qjb@debian.org>  Tue, 22 Aug 2017 16:34:17 -0400

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: qpdf
 Section: libs
 Priority: optional
-Build-Depends: cdbs (>> 0.4.93~), debhelper (>> 9~), dh-autoreconf, dpkg-dev (>= 1.16.1~), libpcre3-dev, zlib1g-dev
+Build-Depends: debhelper (>> 9~), dh-autoreconf, autotools-dev, libjpeg-dev, zlib1g-dev
 Maintainer: Jay Berkenbilt <qjb@debian.org>
-Standards-Version: 3.9.6
+Standards-Version: 4.0.0
 Homepage: http://qpdf.sourceforge.net
 
-Package: libqpdf17
+Package: libqpdf18
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -39,7 +39,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, libqpdf17 (= ${binary:Version}), libpcre3-dev, zlib1g-dev
+Depends: ${misc:Depends}, libqpdf18 (= ${binary:Version}), libjpeg-dev, zlib1g-dev
 Recommends: qpdf
 Description: development files for PDF transformation/inspection library
  QPDF is a program that can be used to linearize (web-optimize),

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_MAKE_CHECK_TARGET = check

%:
	dh $@ --with autoreconf --with autotools-dev

override_dh_compress:
	dh_compress --exclude=qpdf-manual --exclude=.css --exclude examples/

override_dh_auto_build:
	dh_auto_build --parallel

override_dh_auto_clean:
	make distclean CLEAN=1

override_dh_auto_configure:
	dh_auto_configure -- \
	  --libdir="\$${prefix}/lib/$(DEB_HOST_MULTIARCH)" \
	  --enable-show-failed-test-output

override_dh_install:
	dh_install --list-missing -X.la
	mkdir -p debian/libqpdf-dev/usr/share/doc/libqpdf-dev/examples
	cp -p examples/*.cc examples/*.c \
		debian/libqpdf-dev/usr/share/doc/libqpdf-dev/examples
	cp -p README.md debian/libqpdf-dev/usr/share/doc/libqpdf-dev/README.md
